<div
  id="checkout"
  style="background-color: #f7f7f7 !important"
  class="fheight d-flex flex-column"
>
  <!-- container-checkout -->
  <div class="fheight" style="max-width: 1344px; width: 100%">
    <v-row no-gutters class="fheight justify-sm-center justify-lg-start">
      <v-col cols="12" md="6" class="px-md-8 py-md-8">
        <div class="width-content-left">
          <div class="">
            <div class="px-3">
              <div
                class="d-flex items-center align-center my-4 mb-md-11"
                style="justify-content: space-between"
              >
                <div @click="onTrackingGtag()">
                  <!-- <a
      :href="`${domainWeb}/${slug}?${utm || utmQuery}`"
      class="text-decoration-none"
    >
      <div class="logo-image">
        <img :src="logo" class="c-pointer" alt="Brand Logo" />
      </div>
    </a> -->
                  <nuxt-link :to="`/${slug}?${utm || utmQuery}`">
                    <div class="logo-image">
                      <img :src="logo" class="c-pointer" alt="Brand Logo" />
                    </div>
                  </nuxt-link>
                </div>
                <div class="d-flex align-center logo-right">
                  <img
                    src="~/assets/images/trustbadge_header_s.webp"
                    alt=""
                    style="width: 100%; height: 100%"
                  />
                </div>
              </div>
              <div class="d-flex align-center mb-4">
                <nuxt-link
                  :to="`/${slug}?${utm || utmQuery}`"
                  class="d-none d-md-block"
                >
                  <v-icon color="#202020" size="20"> mdi-arrow-left </v-icon>
                </nuxt-link>
                <h4
                  class="h4 ml-2 font-weight-bold contentBlack d-none d-md-block"
                >
                  Order summary
                </h4>
              </div>
              <div
                class="d-flex align-center justify-space-between mb-3 mb-md-6 c-pointer"
                @click="isShowListProduct = !isShowListProduct"
              >
                <div class="d-flex align-center d-md-none">
                  <div>
                    <img
                      src="~/assets/images/cart_grey.svg"
                      alt=""
                      width="16px"
                      height="16px"
                    />
                  </div>
                  <span
                    class="contentBlack mx-2"
                    style="
                      font-size: 14px;
                      line-height: 21px;
                      margin-left: 10px;
                      margin-right: 10px;
                      opacity: 0.5;
                    "
                  >
                    <span v-if="isShowListProduct"> Hide </span>
                    <span v-else> Show </span>
                    order summary
                  </span>
                  <v-icon size="12" v-if="!isShowListProduct">
                    mdi-chevron-down
                  </v-icon>
                  <v-icon size="12" v-else> mdi-chevron-up </v-icon>
                </div>
                <div class="d-flex align-center d-md-none">
                  <strong class="mr-2">Total</strong>
                  <span
                    ><p
                      class="mb-0 fsize-15 font-weight-bold text-right"
                      v-if="totalPriceFree"
                    >
                      ${{totalPriceFree}}
                    </p>
                    <p class="mb-0 fsize-15 text-right" v-else>
                      ${{$utils.formatCurrency(Math.round(calcTotalPriceAll(totalPrice,
                      findPriceShipping, checkout.tip || 0, priceCoupon) * 100)
                      / 100)}}
                    </p></span
                  >
                </div>
              </div>
              <div
                :class=" listCart && listCart.length > 6 ? 'height-product-scroll' : ''"
                v-if="isShowListProduct"
              >
                <div
                  v-for="(product,i) in listCart"
                  :key="product._id"
                  class="d-flex justify-space-between"
                >
                  <div class="fwidth">
                    <div
                      class="d-flex align-center justify-space-between fwidth"
                    >
                      <div class="d-flex fwidth">
                        <div
                          style="width: 98.5px; height: 100.5px"
                          class="pos-relative"
                        >
                          <img
                            :src="convertImg(product)"
                            alt=""
                            width="98.5"
                            height="100.5"
                            class="border-img-product"
                          />
                        </div>
                        <div class="ml-4 fwidth">
                          <p
                            class="mb-0 font-weight-bold fsize-product-name"
                            style="color: #222222; min-height: 36px"
                          >
                            {{product && product.productName}}
                          </p>
                          <div
                            class="d-flex align-center justify-space-between mt-2"
                          >
                            <div>
                              <p
                                class="mb-2 mb-0 fsize-name-variant font-weight-bold contentSemanticRed"
                              >
                                Quantity:
                                <span class="font-weight-medium">
                                  {{product.quantity}}
                                </span>
                              </p>
                              <p
                                class="mb-2 lightContentPrimary subTitle1 fsize-name-variant"
                                v-for="(variant, i) in Object.keys(product.listVariant)"
                              >
                                <span
                                  class="font-weight-bold lightContentPrimary"
                                >
                                  {{ variant }}</span
                                >: {{ product.listVariant[variant] }}
                              </p>
                              <!-- <span class="fsize-12 font-weight-bold">
                                {{product && product.listValue.join(" / ")}}
                              </span> -->
                            </div>
                          </div>
                          <div
                            class="d-flex align-center justify-space-between"
                          >
                            <div class="mr-3">
                              <v-btn
                                color="#242a2e"
                                icon
                                small
                                @click="onDelete(i)"
                              >
                                <v-icon color="#242a2e" size="20">
                                  mdi-trash-can
                                </v-icon>
                              </v-btn>
                            </div>
                            <div
                              class="d-flex align-center justify-end"
                              v-if="timer"
                            >
                              <span
                                class="text-decoration-line-through fsize-12 mr-3 colorPriceDiscount font-weight-light"
                                v-if="(product.price * product.quantity) !== calcPrice(product)"
                                >${{Math.round(calcPrice(product) * 100) /
                                100}}</span
                              >
                              <p class="mb-0 fsize-16" style="color: #1a1a1a">
                                ${{$utils.formatCurrency(Math.round(product.price
                                * product.quantity * 100) / 100)}}
                              </p>
                            </div>
                            <div class="d-flex align-center justify-end" v-else>
                              <span
                                class="text-decoration-line-through fsize-12 mr-3 colorPriceDiscount font-weight-light"
                                v-if="(product.price * product.quantity) !== calcPrice(product)"
                                >${{(Math.round(calcPrice(product) * 100) / 100)
                                || 0}}</span
                              >
                              <p class="mb-0 fsize-16" style="color: #1a1a1a">
                                ${{$utils.formatCurrency((Math.round(product.price
                                * product.quantity * 100) / 100) || 0)}}
                              </p>
                            </div>
                          </div>
                        </div>
                      </div>
                    </div>
                    <v-divider class="my-5"></v-divider>
                  </div>
                </div>
              </div>
              <div
                class="d-md-flex align-center justify-space-between"
                v-if="isShowListProduct"
              >
                <div>
                  <p
                    class="mb-0 fsize-14 font-weight-bold"
                    style="color: #1a1a1a"
                  >
                    Apply Coupon
                  </p>
                </div>
                <div
                  id="hideBottomInput"
                  class="input-apply d-flex align-center mt-3 mt-md-0"
                >
                  <v-text-field
                    dense
                    outlined
                    placeholder="Your Coupon"
                    prepend-inner-icon="mdi-tag-outline"
                    v-model="code"
                    style="width: 170px"
                  >
                  </v-text-field>
                  <v-btn
                    color="#00487f"
                    height="40px"
                    class="elevation-0 ml-2"
                    @click="onCheckCodeCoupon()"
                    :disabled="loadingDiscount"
                  >
                    <span class="white--text"> Apply </span>
                  </v-btn>
                </div>
              </div>
              <v-divider class="my-4"></v-divider>
              <div v-if="isShowListProduct">
                <div class="d-flex align-center justify-end">
                  <p class="mb-0 fsize-15" style="color: #1a1a1a">Subtotal</p>
                  <p
                    class="mb-0 fsize-15 font-weight-bold text-right"
                    style="min-width: 80px"
                  >
                    ${{((Math.round(totalPrice * 100) / 100) ||
                    0).toString().replace(/\B(?=(\d{3})+(?!\d))/g, ",")}}
                  </p>
                </div>
                <div class="d-flex align-center justify-end">
                  <div class="d-flex align-center">
                    <p class="mb-0 fsize-15" style="color: #1a1a1a">
                      <!-- {{nameShipping}} -->
                      Shipping
                    </p>
                    <!-- <div
                      v-if="findCountryName(countrySelect || myIp.countryCode)"
                      class="ml-2 d-flex items-center"
                      style="min-width: 102px"
                    >
                      (
                      <div class="px-1">
                        <CountryFlag
                          :country="countrySelect || myIp.countryCode"
                          size="small"
                          class="rounded"
                        />
                      </div>
                      {{findCountryName(countrySelect || myIp.countryCode)}} )
                    </div> -->
                  </div>
                  <p
                    class="mb-0 fsize-15 font-weight-bold text-right"
                    style="min-width: 80px"
                  >
                    ${{findPriceShipping &&
                    $utils.formatCurrency(findPriceShipping)}}
                  </p>
                </div>
                <div class="d-flex align-center justify-end">
                  <div class="d-flex align-center">
                    <div class="d-flex align-center">
                      <v-icon size="18" class="mx-2"> mdi-tag-outline </v-icon>
                      <p class="mb-0 fsize-14" style="color: #1a1a1a">
                        Discount
                      </p>
                    </div>
                    <div
                      v-if="coupon && coupon._id"
                      class="d-flex align-center"
                    >
                      <p class="mb-0 fsize-14 ml-1" style="color: #1a1a1a">
                        ({{coupon.code}})
                      </p>
                    </div>
                  </div>
                  <p
                    class="mb-0 fsize-15 font-weight-bold text-right"
                    style="min-width: 80px"
                  >
                    <span v-if="priceCoupon">-</span>${{priceCoupon &&
                    Math.round(priceCoupon * 100) / 100}}
                  </p>
                </div>
                <div class="d-flex align-center justify-end">
                  <p class="mb-0 fsize-15" style="color: #1a1a1a">Tip</p>
                  <p
                    class="mb-0 fsize-15 font-weight-bold text-right"
                    style="min-width: 80px"
                  >
                    ${{checkout.tip || 0}}
                  </p>
                </div>
                <div class="d-flex align-center justify-end">
                  <p class="mb-0 fsize-15" style="color: #1a1a1a">Total</p>
                  <p
                    class="mb-0 fsize-15 font-weight-bold text-right"
                    style="min-width: 80px"
                    v-if="totalPriceFree"
                  >
                    ${{totalPriceFree}}
                  </p>
                  <p
                    class="mb-0 fsize-15 font-weight-bold text-right"
                    style="min-width: 80px"
                    v-else
                  >
                    ${{$utils.formatCurrency(Math.round(calcTotalPriceAll(totalPrice,
                    findPriceShipping, checkout.tip || 0, priceCoupon) * 100) /
                    100)}}
                  </p>
                </div>
                <div class="mt-3 d-flex justify-end link-cart">
                  <v-icon color="#3f83f8" size="18">
                    mdi-arrow-left-thin
                  </v-icon>
                  <nuxt-link :to="`/${slug}?${utm || utmQuery}`">
                    back to cart
                  </nuxt-link>
                </div>
              </div>
            </div>
            <div class="mt-4 py-5 px-3 rounded">
              <p class="mb-0 font-weight-bold contentBlack">Tip for Us</p>
              <div class="mt-3 d-flex align-center" style="gap: 8px">
                <div
                  v-for="(tipElem, i) in listTip"
                  :key="tipElem + i"
                  class="btn-tip d-flex align-center justify-center c-pointer font-weight-medium"
                  @click="onSelectTip(tipElem.value)"
                  :class="checkout.tip === tipElem.value ? 'active' : ''"
                >
                  <span class="text-sm"> {{tipElem.name}} </span>
                </div>
              </div>
              <div
                id="hideBottomInput"
                class="input-tip mt-3 d-flex justify-between align-center pos-relative"
              >
                <!-- <v-text-field
                  dense
                  outlined
                  type="number"
                  min="0"
                  v-model.number="checkout.tip"
                  placeholder="Enter your tip"
                  prefix="$"
                  @keypress="checkTip(event)"
                ></v-text-field> -->
                <v-text-field
                  dense
                  outlined
                  v-model.number="checkout.tip"
                  type="number"
                  placeholder="Enter your tip"
                  @keypress="checkTip"
                  prefix="$"
                >
                </v-text-field>
                <div
                  class="custom-tips py-2 px-8 c-pointer"
                  style="position: absolute; top: 3px; right: 3px"
                >
                  <span class="font-weight-medium text-capitalize">
                    Custom tip
                  </span>
                </div>
              </div>
            </div>
            <div class="mt-md-4 white pa-7 rounded d-flex align-center">
              <div class="d-flex align-center">
                <img
                  src="~/assets/images/coupon.svg"
                  alt=""
                  width="64"
                  height="64"
                />
              </div>
              <div class="ml-4 d-flex align-center">
                <div>
                  <span class="mb-0 fsize-18 fweight-600">
                    Limited Stock!
                  </span>
                  <br />
                  <span class="mb-0 fsize-15">
                    No worries, we have reserved your order. Your order is
                    reserved for
                    <span style="color: #ff4343" class="font-weight-bold"
                      >{{minutes}}:{{second}}</span
                    >
                    minutes
                  </span>
                </div>
              </div>
            </div>
          </div>
        </div>
      </v-col>
      <v-col
        cols="12"
        md="6"
        class="px-3 px-md-8 pb-10 mt-3 mt-md-0 pt-3 pt-md-8 w-full white"
        id="payment"
      >
        <div class="width-content-right">
          <template v-if="enablePaypal">
            <div class="mt-2" v-if="listCart && listCart.length ">
              <PaypalCheckout
                :paymentType.sync="paymentType"
                :slug="slug"
                :couponCode="couponCode"
                :checkout="checkout"
                :listCart.sync="listCart"
                :billingAddress="billingAddress"
                :isSameAddress="isSameAddress"
                :countryCodePayment="countryCodePayment"
                :amount="amount"
                :isAbandon="isAbandon"
                :totalPriceAll="calcTotalPriceAll(totalPrice,
                findPriceShipping, checkout.tip || 0, priceCoupon)"
                @on-get-list="onSubmitGetListShipping()"
                :errorField.sync="errorField"
                :isDonePayment.sync="isDonePayment"
                :tip="checkout.tip"
              />
              <div
                v-if="listCart && listCart.length"
                class="mt-7 border-top-billing-address rounded px-8 pt-5 pb-2"
                id="hideBottomInput"
              >
                <div style="position: relative">
                  <div style="width: 100%" class="d-flex justify-center">
                    <div class="text-title-paypal">
                      <p class="mb-0 fsize-14" style="color: #454545">
                        OR CONTINUE BELOW TO PAY WITH A CREDIT CARD
                      </p>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </template>
          <div class="d-flex align-center" :class="!enablePaypal ? 'mt-7' : ''">
            <p class="mb-0 fsize-15 font-weight-bold">Contact information</p>
          </div>
          <div id="hideBottomInput">
            <v-row no-gutters>
              <v-col cols="12" class="px-1 pt-2">
                <v-text-field
                  dense
                  outlined
                  placeholder="Email"
                  v-model="checkout.shippingAddress.email"
                  v-debounce:2000ms="onCreateAbandonedFromEmail"
                  :class="errorField.shippingAddress.isEmail ? 'border-error' : ''"
                >
                </v-text-field>
                <span
                  class="red--text fsize-12"
                  v-if="errorField.shippingAddress.isEmail"
                >
                  {{errorField.shippingAddress.isEmail}}
                </span>
              </v-col>
            </v-row>
          </div>
          <div class="mt-7 d-flex align-center">
            <div>
              <p class="mb-0 fsize-15 font-weight-bold">Shipping address</p>
            </div>
          </div>
          <div id="hideBottomInput">
            <v-row no-gutters>
              <v-col cols="6" class="px-1 pt-2">
                <v-text-field
                  dense
                  outlined
                  placeholder="First name"
                  v-model="checkout.shippingAddress.firstName"
                  v-debounce:2000ms="onGetPriceShippng"
                  :class="errorField.shippingAddress.isFirstName ? 'border-error' : ''"
                >
                </v-text-field>
                <span
                  class="red--text fsize-12"
                  v-if="errorField.shippingAddress.isFirstName"
                >
                  {{errorField.shippingAddress.isFirstName}}
                </span>
              </v-col>
              <v-col cols="6" class="px-1 pt-2">
                <v-text-field
                  dense
                  outlined
                  placeholder="Last name"
                  v-model="checkout.shippingAddress.lastName"
                  v-debounce:2000ms="onGetPriceShippng"
                  :class="errorField.shippingAddress.isLastName ? 'border-error' : ''"
                >
                </v-text-field>
                <span
                  class="red--text fsize-12"
                  v-if="errorField.shippingAddress.isLastName"
                >
                  {{errorField.shippingAddress.isLastName}}
                </span>
              </v-col>
              <v-col cols="12" class="px-1 pt-3">
                <v-text-field
                  dense
                  outlined
                  placeholder="Address"
                  v-model="checkout.shippingAddress.address"
                  v-debounce:2000ms="onGetPriceShippng"
                  id="card-billing-address-street"
                  name="card-billing-address-street"
                  :class="errorField.shippingAddress.isAddress ? 'border-error' : ''"
                >
                </v-text-field>
                <span
                  class="red--text fsize-12"
                  v-if="errorField.shippingAddress.isAddress"
                >
                  {{errorField.shippingAddress.isAddress}}
                </span>
              </v-col>
              <v-col cols="12" class="px-1 pt-3">
                <v-text-field
                  dense
                  outlined
                  placeholder="Apartment, suite, etc. (optional)"
                  id="card-billing-address-unit"
                  name="card-billing-address-unit"
                  v-model="checkout.shippingAddress.apartment"
                  v-debounce:2000ms="onGetPriceShippng"
                ></v-text-field>
              </v-col>
              <v-col :cols="showState ? '6' : '12'" class="px-1 pt-3">
                <v-text-field
                  dense
                  outlined
                  placeholder="City"
                  id="card-billing-address-city"
                  name="card-billing-address-city"
                  v-model="checkout.shippingAddress.city"
                  v-debounce:2000ms="onGetPriceShippng"
                  :class="errorField.shippingAddress.isCity ? 'border-error' : ''"
                ></v-text-field>
                <span
                  class="red--text fsize-12"
                  v-if="errorField.shippingAddress.isCity"
                >
                  {{errorField.shippingAddress.isCity}}
                </span>
              </v-col>
              <v-col
                cols="6"
                class="px-1 pt-3 arrow-autocomplete-center"
                v-if="showState"
              >
                <v-select
                  dense
                  outlined
                  placeholder="State"
                  id="card-billing-address-state"
                  v-if="listStateCountry.length"
                  name="card-billing-address-state"
                  :items="listStateCountry"
                  item-text="name"
                  item-value="name"
                  v-model="checkout.shippingAddress.state"
                  v-debounce:2000ms="onGetPriceShippng"
                  :class="errorField.shippingAddress.isState ? 'border-error' : ''"
                >
                </v-select>
                <v-text-field
                  dense
                  outlined
                  placeholder="State"
                  id="card-billing-address-state"
                  name="card-billing-address-state"
                  v-model="checkout.shippingAddress.state"
                  v-debounce:2000ms="onGetPriceShippng"
                  :class="errorField.shippingAddress.isState ? 'border-error' : ''"
                  v-else
                >
                </v-text-field>
                <span
                  class="red--text fsize-12"
                  v-if="errorField.shippingAddress.isState"
                >
                  {{errorField.shippingAddress.isState}}
                </span>
              </v-col>
              <v-col cols="6" class="px-1 pt-3">
                <v-text-field
                  dense
                  outlined
                  placeholder="Postal code"
                  id="card-billing-address-zip"
                  name="card-billing-address-zip"
                  v-model="checkout.shippingAddress.zipCode"
                  :class="errorField.shippingAddress.isZipCode ? 'border-error' : ''"
                >
                </v-text-field>
                <span
                  class="red--text fsize-12"
                  v-if="errorField.shippingAddress.isZipCode"
                >
                  {{errorField.shippingAddress.isZipCode}}
                </span>
              </v-col>
              <v-col cols="6" class="px-1 pt-3 arrow-autocomplete-center">
                <v-select
                  dense
                  outlined
                  placeholder="Country"
                  id="card-billing-address-country"
                  name="card-billing-address-country"
                  v-model="checkout.shippingAddress.country"
                  @change="onChangeCountry()"
                  :items="countryCode"
                  item-text="name"
                  item-value="name"
                >
                </v-select>
              </v-col>
              <v-col cols="12" class="px-1 pt-3">
                <v-text-field
                  dense
                  outlined
                  placeholder="Phone number"
                  v-model="checkout.shippingAddress.phoneNumber"
                  :class="errorField.shippingAddress.isPhoneNumber ? 'border-error' : ''"
                >
                </v-text-field>
                <span
                  class="red--text fsize-12"
                  v-if="errorField.shippingAddress.isPhoneNumber"
                >
                  {{errorField.shippingAddress.isPhoneNumber}}
                </span>
              </v-col>
            </v-row>
            <div class="mt-7">
              <p class="mb-0 fsize-16 font-weight-bold">Billing address</p>
            </div>
            <v-radio-group v-model="isSameAddress" class="mt-3">
              <v-radio label="Same shipping address" value="0"></v-radio>
              <v-radio label="Other address" value="1"></v-radio>
            </v-radio-group>
            <v-row no-gutters class="mt-5" v-if="isSameAddress === '1'">
              <v-col cols="6" class="px-1 pt-2">
                <v-text-field
                  dense
                  outlined
                  placeholder="First name"
                  v-model="checkout.billingAddress.firstName"
                  :class="errorField.billingAddress.isFirstName ? 'border-error' : ''"
                >
                </v-text-field>
                <span
                  class="red--text fsize-12"
                  v-if="errorField.billingAddress.isFirstName"
                >
                  {{errorField.billingAddress.isFirstName}}
                </span>
              </v-col>
              <v-col cols="6" class="px-1 pt-2">
                <v-text-field
                  dense
                  outlined
                  placeholder="Last name"
                  v-model="checkout.billingAddress.lastName"
                  :class="errorField.billingAddress.isLastName ? 'border-error' : ''"
                >
                </v-text-field>
                <span
                  class="red--text fsize-12"
                  v-if="errorField.billingAddress.isLastName"
                >
                  {{errorField.billingAddress.isLastName}}
                </span>
              </v-col>
              <v-col cols="12" class="px-1 pt-3">
                <v-text-field
                  dense
                  outlined
                  placeholder="Address"
                  v-model="checkout.billingAddress.address"
                  id="card-billing-address-street"
                  name="card-billing-address-street"
                  :class="errorField.billingAddress.isAddress ? 'border-error' : ''"
                >
                </v-text-field>
                <span
                  class="red--text fsize-12"
                  v-if="errorField.billingAddress.isAddress"
                >
                  {{errorField.billingAddress.isAddress}}
                </span>
              </v-col>
              <v-col cols="12" class="px-1 pt-3">
                <v-text-field
                  dense
                  outlined
                  placeholder="Apartment, suite, etc. (optional)"
                  id="card-billing-address-unit"
                  name="card-billing-address-unit"
                  v-model="checkout.billingAddress.apartment"
                ></v-text-field>
              </v-col>
              <v-col :cols="showBillingState ? '6' : '12'" class="px-1 pt-3">
                <v-text-field
                  dense
                  outlined
                  placeholder="City"
                  id="card-billing-address-city"
                  name="card-billing-address-city"
                  v-model="checkout.billingAddress.city"
                  :class="errorField.billingAddress.isCity ? 'border-error' : ''"
                ></v-text-field>
                <span
                  class="red--text fsize-12"
                  v-if="errorField.billingAddress.isCity"
                >
                  {{errorField.billingAddress.isCity}}
                </span>
              </v-col>
              <v-col
                cols="6"
                class="px-1 pt-3 arrow-autocomplete-center"
                v-if="showBillingState"
              >
                <v-select
                  dense
                  outlined
                  placeholder="State"
                  id="card-billing-address-state"
                  v-if="listStateBillingCountry.length"
                  name="card-billing-address-state"
                  :items="listStateBillingCountry"
                  item-text="name"
                  item-value="name"
                  v-model="checkout.billingAddress.state"
                  :class="errorField.billingAddress.isState ? 'border-error' : ''"
                >
                </v-select>
                <v-text-field
                  dense
                  outlined
                  placeholder="State"
                  id="card-billing-address-state"
                  name="card-billing-address-state"
                  v-model="checkout.billingAddress.state"
                  :class="errorField.billingAddress.isState ? 'border-error' : ''"
                  v-else
                >
                </v-text-field>
                <span
                  class="red--text fsize-12"
                  v-if="errorField.billingAddress.isState"
                >
                  {{errorField.billingAddress.isState}}
                </span>
              </v-col>
              <v-col cols="6" class="px-1 pt-3">
                <v-text-field
                  dense
                  outlined
                  placeholder="Postal code"
                  id="card-billing-address-zip"
                  name="card-billing-address-zip"
                  v-model="checkout.billingAddress.zipCode"
                  :class="errorField.billingAddress.isZipCode ? 'border-error' : ''"
                >
                </v-text-field>
                <span
                  class="red--text fsize-12"
                  v-if="errorField.billingAddress.isZipCode"
                >
                  {{errorField.billingAddress.isZipCode}}
                </span>
              </v-col>
              <v-col cols="6" class="px-1 pt-3 arrow-autocomplete-center">
                <v-select
                  dense
                  outlined
                  placeholder="Country"
                  id="card-billing-address-country"
                  name="card-billing-address-country"
                  v-model="checkout.billingAddress.country"
                  :items="countryCode"
                  item-text="name"
                  item-value="name"
                >
                </v-select>
              </v-col>
              <v-col cols="12" class="px-1 pt-3">
                <v-text-field
                  dense
                  outlined
                  placeholder="Phone number"
                  v-model="checkout.billingAddress.phoneNumber"
                  :class="errorField.billingAddress.isPhoneNumber ? 'border-error' : ''"
                >
                </v-text-field>
                <span
                  class="red--text fsize-12"
                  v-if="errorField.billingAddress.isPhoneNumber"
                >
                  {{errorField.billingAddress.isPhoneNumber}}
                </span>
              </v-col>
            </v-row>
            <v-divider class="mt-7"> </v-divider>
            <div class="mt-7" id="hideBottomInput" v-if="enableStripe">
              <StripeCheckout
                :slug="slug"
                :couponCode="couponCode"
                :checkout.sync="checkout"
                :listCart.sync="listCart"
                :countryCodePayment="countryCodePayment"
                :amount="amount"
                :loadingDiscount="loadingDiscount"
                :isAbandon="isAbandon"
                :isSameAddress="isSameAddress"
                :totalPriceAll="calcTotalPriceAll(totalPrice,
                findPriceShipping, checkout.tip || 0, priceCoupon)"
                @on-get-list="onSubmitGetListShipping()"
                :errorField.sync="errorField"
                :isDonePayment.sync="isDonePayment"
                :tip="checkout.tip"
              />
            </div>
          </div>
        </div>
      </v-col>
    </v-row>
  </div>
</div>
